Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package tasty
  Definition Classes
    tools
-  object TastyFormat
  Definition Classes
    tasty
- NameTags

o

scala.tools.tasty.TastyFormat

# NameTags

###
Companion class NameTags

#### object NameTags extends NameTags

Source
  TastyFormat.scala

Linear Supertypes
NameTags, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NameTags
2. NameTags
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val BODYRETAINER: Int(22)
   Definition Classes
     NameTags
5.  final val DEFAULTGETTER: Int(11)
   Definition Classes
     NameTags
6.  final val EXPANDED: Int(3)
   Definition Classes
     NameTags
7.  final val EXPANDPREFIX: Int(4)
   Definition Classes
     NameTags
8.  final val INLINEACCESSOR: Int(21)
   Definition Classes
     NameTags
9.  final val OBJECTCLASS: Int(23)
   Definition Classes
     NameTags
10.  final val QUALIFIED: Int(2)
    Definition Classes
      NameTags
11.  final val SIGNED: Int(63)
    Definition Classes
      NameTags
12.  final val SUPERACCESSOR: Int(20)
    Definition Classes
      NameTags
13.  final val TARGETSIGNED: Int(62)
    Definition Classes
      NameTags
14.  final val UNIQUE: Int(10)
    Definition Classes
      NameTags
15.  final val UTF8: Int(1)
    Definition Classes
      NameTags
16.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from NameTags

### Inherited from AnyRef

### Inherited from Any

### Ungrouped